# Uses of Interface
com.google.protobuf.ValueOrBuilder

Packages that use ValueOrBuilder
Package
Description
com.google.protobuf

## Uses of ValueOrBuilder in com.google.protobuf

Classes in com.google.protobuf that implement ValueOrBuilder
Modifier and Type
Class
Description
`final class`
`Value`
Protobuf type `google.protobuf.Value`
`static final class`
`Value.Builder`
Protobuf type `google.protobuf.Value`
Methods in com.google.protobuf that return ValueOrBuilder
Modifier and Type
Method
Description
`ValueOrBuilder`
ListValue.Builder.`getValuesOrBuilder(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`ValueOrBuilder`
ListValue.`getValuesOrBuilder(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`ValueOrBuilder`
ListValueOrBuilder.`getValuesOrBuilder(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
Methods in com.google.protobuf that return types with arguments of type ValueOrBuilder
Modifier and Type
Method
Description
`List<? extends ValueOrBuilder>`
ListValue.Builder.`getValuesOrBuilderList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`List<? extends ValueOrBuilder>`
ListValue.`getValuesOrBuilderList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`List<? extends ValueOrBuilder>`
ListValueOrBuilder.`getValuesOrBuilderList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`